Functions
Functions
Peripheral Driver » LL Driver » PMU LL Module Driver | Peripheral Driver » LL Driver » AON RF Module Driver

## Functions
__STATIC_INLINE void | ll_aon_pmu_enable_rtc (void)
| Enable the RTC. More...
__STATIC_INLINE void | ll_aon_pmu_disable_rtc (void)
| Disable the RTC. More...
__STATIC_INLINE void | ll_aon_pmu_set_rtc_gm (uint32_t value)
| Set RTC GM. More...
__STATIC_INLINE void | ll_aon_pmu_set_io_ldo_vout (uint32_t value)
| Set lv,default is set to 1.8V,LSB = 8.5mv. More...
__STATIC_INLINE void | ll_aon_pmu_set_retention_level (uint32_t value)
| Set retention level. More...
__STATIC_INLINE void | ll_aon_pmu_set_aon_ldo (uint32_t value)
| Set aon ldo value. More...
__STATIC_INLINE uint32_t | ll_aon_pmu_get_aon_ldo (void)
| Get aon ldo value. More...
__STATIC_INLINE void | ll_aon_pmu_set_dcdc_vreg (uint32_t value)
| Set dcdc ref_cntrl_b_lv_3_0,vreg defaulted to 1.1V. More...
__STATIC_INLINE uint32_t | ll_aon_pmu_get_dcdc_vreg (void)
| Get dcdc ref_cntrl_b_lv_3_0,vreg defaulted to 1.1V. More...
__STATIC_INLINE void | ll_aon_pmu_set_dcdc_step_18mV (void)
| Set dcdc voltage step for 18mV. More...
__STATIC_INLINE void | ll_aon_pmu_set_dcdc_step_25mV (void)
| Set dcdc voltage step for 25mV. More...
__STATIC_INLINE void | ll_aon_pmu_set_sysldo_vreg (uint32_t value)
| Set sysldo rg_sysldo_ctrl_vref, vreg defaulted to 1.1V. More...
__STATIC_INLINE uint32_t | ll_aon_pmu_get_sysldo_vreg (void)
| Get sysldo rg_sysldo_ctrl_vref, vreg defaulted to 1.1V. More...
__STATIC_INLINE void | ll_aon_pmu_enable_io_ldo_bypass (void)
| Enable the io ldo bypass. More...
__STATIC_INLINE void | ll_aon_pmu_disable_io_ldo_bypass (void)
| Disable the io ldo bypass. More...
__STATIC_INLINE void | ll_aon_pmu_enable_bleed (void)
| Enable the dig ldo bleed. More...
__STATIC_INLINE void | ll_aon_pmu_disable_bleed (void)
| Disable the dig ldo bleed. More...
__STATIC_INLINE void | ll_aon_pmu_set_dig_ldo_bypass (bool enable)
| Set the dig ldo bypass. More...
__STATIC_INLINE uint32_t | ll_aon_pmu_get_dig_ldo_bypass (void)
| Get the dig ldo bypass. More...
__STATIC_INLINE void | ll_aon_pmu_set_dig_ldo_out_coarse_tune (uint32_t value)
| Set dig ldo out coarse tune. More...
__STATIC_INLINE uint32_t | ll_aon_pmu_get_dig_ldo_out_coarse_tune (void)
| Get dig ldo out coarse tune. More...
__STATIC_INLINE void | ll_aon_pmu_set_dig_ldo_out_fine_tune (uint32_t value)
| Set dig ldo out fine tune. More...
__STATIC_INLINE uint32_t | ll_aon_pmu_get_dig_ldo_out_fine_tune (void)
| Get dig ldo out fine tune. More...
__STATIC_INLINE void | ll_aon_pmu_set_clk_period (uint32_t value)
| Set clk period. More...
__STATIC_INLINE void | ll_aon_pmu_enable_clk_inject (void)
| Enables clock injection from XO to ring oscillator. More...
__STATIC_INLINE void | ll_aon_pmu_disable_clk_inject (void)
| Disables clock injection from XO to ring oscillator. More...
__STATIC_INLINE void | ll_aon_pmu_set_buck_pmmosnum_sel (uint32_t value)
| Set the nunber of BUCK`s PMOS driver. More...
__STATIC_INLINE void | ll_aon_pmu_set_buck_deadtime_sel (uint32_t value)
| Set the length of driver`s deadtime. More...
__STATIC_INLINE void | ll_aon_pmu_set_rtc_cs (uint32_t value)
| Set the rtc cur cap. More...
__STATIC_INLINE void | ll_aon_pmu_set_rtc_cap (uint32_t value)
| Set the rtc cur cap. More...
__STATIC_INLINE uint32_t | ll_aon_pmu_get_rtc_cap (void)
| Get the rtc cur cap. More...
__STATIC_INLINE void | ll_aon_pmu_enable_rcosc (void)
| Enable the RCOSC. More...
__STATIC_INLINE void | ll_aon_pmu_disable_rcosc (void)
| Disable the RCOSC. More...
__STATIC_INLINE void | ll_aon_pmu_set_tx_ton_val (uint32_t value)
| modify ton on More...
__STATIC_INLINE void | ll_aon_pmu_set_non_tx_ton_val (uint32_t value)
| modify ton off More...
__STATIC_INLINE void | ll_aon_rf_enable_test_mux (void)
| Enable the test mux 0 tri state. More...
__STATIC_INLINE void | ll_aon_rf_disable_test_mux (void)
| Disable the test mux 0 tri state. More...
__STATIC_INLINE void | ll_aon_rf_enable_cpll_cp_reset (void)
| Enable the cpll reset. More...
__STATIC_INLINE void | ll_aon_rf_disable_cpll_cp_reset (void)
| Disable the cpll reset. More...
__STATIC_INLINE void | ll_aon_rf_enable_cpll_drift_detection (void)
| Enable the cpll drift detection. More...
__STATIC_INLINE void | ll_aon_rf_disable_cpll_drift_detection (void)
| Disable the cpll drift detection. More...
__STATIC_INLINE void | ll_aon_rf_set_cpll_m_div (uint32_t value)
| Set the cpll m div,Pre division before CP (00- no division / 11 divide by 16). More...
__STATIC_INLINE void | ll_aon_rf_set_threshold (uint32_t l_threshold, uint32_t h_threshold)
| Set the cpll drift detection. More...
__STATIC_INLINE void | ll_aon_rf_set_xo_ibias (uint32_t hi_value, uint32_t lo_value)
| Set XO core current programmability. More...
__STATIC_INLINE void | ll_aon_rf_set_rf_reg9 (uint32_t value)
| Set the RF_REG9. More...
__STATIC_INLINE uint32_t | ll_aon_rf_get_rf_reg9 (void)
| Get the RF_REG9. More...
__STATIC_INLINE void | ll_aon_rf_set_xo_cap (uint32_t value)
| Set the xo cap value,cload programmability from 50fF to 26pF on each side. More...
__STATIC_INLINE uint32_t | ll_aon_rf_get_cpll_crscde (void)
| Get the cpll crscde. More...
__STATIC_INLINE void | ll_aon_rf_set_su_enable (void)
| Set SU enable. More...
__STATIC_INLINE void | ll_mcu_set_cpll_drift_irq_enable (void)
| Set cpll drift irq enable. More...
__STATIC_INLINE void | ll_mcu_set_cpll_drift_irq_disable (void)
| Set cpll drift irq disable. More...

## Detailed Description

## Function Documentation

## ◆ ll_aon_pmu_disable_bleed()

__STATIC_INLINE void ll_aon_pmu_disable_bleed | ( | void |  | ) |

Disable the dig ldo bleed.

Register|BitsName --------|-------- RF_REG_4 | EN

Definition at line 303 of file gr533x_ll_aon_pmu.h.

## ◆ ll_aon_pmu_disable_clk_inject()

__STATIC_INLINE void ll_aon_pmu_disable_clk_inject | ( | void |  | ) |

Disables clock injection from XO to ring oscillator.

Register|BitsName --------|-------- RF_REG_1 | EN_INJ_ON

Definition at line 437 of file gr533x_ll_aon_pmu.h.

## ◆ ll_aon_pmu_disable_io_ldo_bypass()

__STATIC_INLINE void ll_aon_pmu_disable_io_ldo_bypass | ( | void |  | ) |

Disable the io ldo bypass.

Register|BitsName --------|-------- RF_REG_3 | BYPASS_EN

Definition at line 277 of file gr533x_ll_aon_pmu.h.

## ◆ ll_aon_pmu_disable_rcosc()

__STATIC_INLINE void ll_aon_pmu_disable_rcosc | ( | void |  | ) |

Disable the RCOSC.

Register|BitsName --------|-------- RC_RTC_REG_0 | RCOSC

Definition at line 538 of file gr533x_ll_aon_pmu.h.

## ◆ ll_aon_pmu_disable_rtc()

__STATIC_INLINE void ll_aon_pmu_disable_rtc | ( | void |  | ) |

Disable the RTC.

Register|BitsName --------|-------- RF_REG_0 | RTC_EN

Definition at line 88 of file gr533x_ll_aon_pmu.h.

## ◆ ll_aon_pmu_enable_bleed()

__STATIC_INLINE void ll_aon_pmu_enable_bleed | ( | void |  | ) |

Enable the dig ldo bleed.

Register|BitsName --------|-------- RF_REG_4 | EN

Definition at line 290 of file gr533x_ll_aon_pmu.h.

## ◆ ll_aon_pmu_enable_clk_inject()

__STATIC_INLINE void ll_aon_pmu_enable_clk_inject | ( | void |  | ) |

Enables clock injection from XO to ring oscillator.

Register|BitsName --------|-------- RF_REG_1 | EN_INJ_ON

Definition at line 423 of file gr533x_ll_aon_pmu.h.

## ◆ ll_aon_pmu_enable_io_ldo_bypass()

__STATIC_INLINE void ll_aon_pmu_enable_io_ldo_bypass | ( | void |  | ) |

Enable the io ldo bypass.

Register|BitsName --------|-------- RF_REG_3 | BYPASS_EN

Definition at line 264 of file gr533x_ll_aon_pmu.h.

## ◆ ll_aon_pmu_enable_rcosc()

__STATIC_INLINE void ll_aon_pmu_enable_rcosc | ( | void |  | ) |

Enable the RCOSC.

Register|BitsName --------|-------- RC_RTC_REG_0 | RCOSC

Definition at line 525 of file gr533x_ll_aon_pmu.h.

## ◆ ll_aon_pmu_enable_rtc()

__STATIC_INLINE void ll_aon_pmu_enable_rtc | ( | void |  | ) |

Enable the RTC.

Register|BitsName --------|-------- RF_REG_0 | RTC_EN

Return values

  None |

Definition at line 75 of file gr533x_ll_aon_pmu.h.

## ◆ ll_aon_pmu_get_aon_ldo()

__STATIC_INLINE uint32_t ll_aon_pmu_get_aon_ldo | ( | void |  | ) |

Get aon ldo value.

Register|BitsName --------|-------- RF_REG_0 | TON

Return values

  The | dcdc ton value.

Definition at line 163 of file gr533x_ll_aon_pmu.h.

## ◆ ll_aon_pmu_get_dcdc_vreg()

__STATIC_INLINE uint32_t ll_aon_pmu_get_dcdc_vreg | ( | void |  | ) |

Get dcdc ref_cntrl_b_lv_3_0,vreg defaulted to 1.1V.

Register|BitsName --------|-------- RF_REG_1 | DCDC_VREG

Return values

  | the dcdc vreg value.

Definition at line 193 of file gr533x_ll_aon_pmu.h.

## ◆ ll_aon_pmu_get_dig_ldo_bypass()

__STATIC_INLINE uint32_t ll_aon_pmu_get_dig_ldo_bypass | ( | void |  | ) |

Get the dig ldo bypass.

Register|BitsName --------|-------- RF_REG_4 | BYPASS_EN

Return values

  The | dig ldo bypass enable value.

Definition at line 333 of file gr533x_ll_aon_pmu.h.

## ◆ ll_aon_pmu_get_dig_ldo_out_coarse_tune()

__STATIC_INLINE uint32_t ll_aon_pmu_get_dig_ldo_out_coarse_tune | ( | void |  | ) |

Get dig ldo out coarse tune.

Register|BitsName --------|-------- RF_REG_4 | AON_PMU_RF_REG_4_DIG_LDO_COARSE_TUNE

Return values

  | The dig ldo out value.

Definition at line 363 of file gr533x_ll_aon_pmu.h.

## ◆ ll_aon_pmu_get_dig_ldo_out_fine_tune()

__STATIC_INLINE uint32_t ll_aon_pmu_get_dig_ldo_out_fine_tune | ( | void |  | ) |

Get dig ldo out fine tune.

Register|BitsName --------|-------- PMU_INTF_OVR_RD0 | DDVS_CTL_REF

Return values

  | The dig ldo out value.

Definition at line 394 of file gr533x_ll_aon_pmu.h.

## ◆ ll_aon_pmu_get_rtc_cap()

__STATIC_INLINE uint32_t ll_aon_pmu_get_rtc_cap | ( | void |  | ) |

Get the rtc cur cap.

Register|BitsName --------|-------- RC_RTC_REG_0 | RTC_CAP

Return values

  The | rtc current cap value.

Definition at line 512 of file gr533x_ll_aon_pmu.h.

## ◆ ll_aon_pmu_get_sysldo_vreg()

__STATIC_INLINE uint32_t ll_aon_pmu_get_sysldo_vreg | ( | void |  | ) |

Get sysldo rg_sysldo_ctrl_vref, vreg defaulted to 1.1V.

Register|BitsName --------|-------- FS_REG_1 | RG_SYSLDO_CTRL_VREF

Return values

  | the sysldo vreg value.

Definition at line 251 of file gr533x_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_aon_ldo()

__STATIC_INLINE void ll_aon_pmu_set_aon_ldo | ( | uint32_t | value | ) |

Set aon ldo value.

Register|BitsName --------|-------- RF_REG_0 | TON

Parameters

  value | The dcdc ton value.

Definition at line 148 of file gr533x_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_buck_deadtime_sel()

__STATIC_INLINE void ll_aon_pmu_set_buck_deadtime_sel | ( | uint32_t | value | ) |

Set the length of driver`s deadtime.

Register|BitsName --------|-------- RF_REG_1 | rg_buck_pmmosnum_sel<1:0>

Parameters

  value | The length of driver's deadtime

Definition at line 467 of file gr533x_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_buck_pmmosnum_sel()

__STATIC_INLINE void ll_aon_pmu_set_buck_pmmosnum_sel | ( | uint32_t | value | ) |

Set the nunber of BUCK`s PMOS driver.

Register|BitsName --------|-------- RF_REG_1 | rg_buck_pmmosnum_sel<1:0>

Parameters

  value | The nunber of buck pmos driver

Definition at line 452 of file gr533x_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_clk_period()

__STATIC_INLINE void ll_aon_pmu_set_clk_period | ( | uint32_t | value | ) |

Set clk period.

Register|BitsName --------|-------- RF_REG_4 | CLK_PERIOD

Parameters

  value | The period of clk.

Definition at line 409 of file gr533x_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_dcdc_step_18mV()

__STATIC_INLINE void ll_aon_pmu_set_dcdc_step_18mV | ( | void |  | ) |

Set dcdc voltage step for 18mV.

Register|BitsName --------|-------- RF_REG_1 | DCDC_VREG

Definition at line 207 of file gr533x_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_dcdc_step_25mV()

__STATIC_INLINE void ll_aon_pmu_set_dcdc_step_25mV | ( | void |  | ) |

Set dcdc voltage step for 25mV.

Register|BitsName --------|-------- RF_REG_1 | DCDC_VREG

Definition at line 221 of file gr533x_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_dcdc_vreg()

__STATIC_INLINE void ll_aon_pmu_set_dcdc_vreg | ( | uint32_t | value | ) |

Set dcdc ref_cntrl_b_lv_3_0,vreg defaulted to 1.1V.

Register|BitsName --------|-------- RF_REG_1 | DCDC_VREG

Parameters

  value | the dcdc vreg value.

Definition at line 178 of file gr533x_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_dig_ldo_bypass()

__STATIC_INLINE void ll_aon_pmu_set_dig_ldo_bypass | ( | bool | enable | ) |

Set the dig ldo bypass.

Register|BitsName --------|-------- RF_REG_4 | BYPASS_EN

Parameters

  enable | enable pmu set dig lod bypass.

Definition at line 318 of file gr533x_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_dig_ldo_out_coarse_tune()

__STATIC_INLINE void ll_aon_pmu_set_dig_ldo_out_coarse_tune | ( | uint32_t | value | ) |

Set dig ldo out coarse tune.

Register|BitsName --------|-------- RF_REG_4 | AON_PMU_RF_REG_4_DIG_LDO_COARSE_TUNE

Parameters

  value | The dig ldo out value.

Definition at line 348 of file gr533x_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_dig_ldo_out_fine_tune()

__STATIC_INLINE void ll_aon_pmu_set_dig_ldo_out_fine_tune | ( | uint32_t | value | ) |

Set dig ldo out fine tune.

Register|BitsName --------|-------- PMU_INTF_OVR_VAL_0 | DDVS_CTL_REF

Parameters

  value | The dig ldo out value.

Definition at line 378 of file gr533x_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_io_ldo_vout()

__STATIC_INLINE void ll_aon_pmu_set_io_ldo_vout | ( | uint32_t | value | ) |

Set lv,default is set to 1.8V,LSB = 8.5mv.

Register|BitsName --------|-------- RF_REG_0 | EN

Parameters

  value | The io ldo vout value.

Definition at line 118 of file gr533x_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_non_tx_ton_val()

__STATIC_INLINE void ll_aon_pmu_set_non_tx_ton_val | ( | uint32_t | value | ) |

modify ton off

Register|BitsName --------|-------- PMU_TON_CFG | AON_PMU_TON_CTRL_OFF

Parameters

  value | The value of non tx ton.

Definition at line 566 of file gr533x_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_retention_level()

__STATIC_INLINE void ll_aon_pmu_set_retention_level | ( | uint32_t | value | ) |

Set retention level.

Register|BitsName --------|-------- RF_REG_0 | ctrl_ret

Parameters

  value | The retention level value.

Definition at line 133 of file gr533x_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_rtc_cap()

__STATIC_INLINE void ll_aon_pmu_set_rtc_cap | ( | uint32_t | value | ) |

Set the rtc cur cap.

Register|BitsName --------|-------- RC_RTC_REG_0 | RTC_CAP

Parameters

  value | The rtc current cap value.

Definition at line 497 of file gr533x_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_rtc_cs()

__STATIC_INLINE void ll_aon_pmu_set_rtc_cs | ( | uint32_t | value | ) |

Set the rtc cur cap.

Register|BitsName --------|-------- RC_RTC_REG_0 | RTC_CAP

Parameters

  value | The rtc current cap value.

Definition at line 482 of file gr533x_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_rtc_gm()

__STATIC_INLINE void ll_aon_pmu_set_rtc_gm | ( | uint32_t | value | ) |

Set RTC GM.

Register|BitsName --------|-------- RF_REG_0 | EN

Parameters

  value | The rtc gm value.

Definition at line 103 of file gr533x_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_sysldo_vreg()

__STATIC_INLINE void ll_aon_pmu_set_sysldo_vreg | ( | uint32_t | value | ) |

Set sysldo rg_sysldo_ctrl_vref, vreg defaulted to 1.1V.

Register|BitsName --------|-------- FS_REG_1 | RG_SYSLDO_CTRL_VREF

Parameters

  value | the sysldo vreg value.

Definition at line 236 of file gr533x_ll_aon_pmu.h.

## ◆ ll_aon_pmu_set_tx_ton_val()

__STATIC_INLINE void ll_aon_pmu_set_tx_ton_val | ( | uint32_t | value | ) |

modify ton on

Register|BitsName --------|-------- PMU_TON_CFG | AON_PMU_TON_CTRL_ON

Parameters

  value | The value of tx ton.

Definition at line 552 of file gr533x_ll_aon_pmu.h.

## ◆ ll_aon_rf_disable_cpll_cp_reset()

__STATIC_INLINE void ll_aon_rf_disable_cpll_cp_reset | ( | void |  | ) |

Disable the cpll reset.

Register|BitsName --------|-------- RF6 | CPLL_CP_EN

Definition at line 113 of file gr533x_ll_aon_rf.h.

## ◆ ll_aon_rf_disable_cpll_drift_detection()

__STATIC_INLINE void ll_aon_rf_disable_cpll_drift_detection | ( | void |  | ) |

Disable the cpll drift detection.

Register|BitsName --------|-------- RF6 | PLL_LOCK_DET_EN

Definition at line 139 of file gr533x_ll_aon_rf.h.

## ◆ ll_aon_rf_disable_test_mux()

__STATIC_INLINE void ll_aon_rf_disable_test_mux | ( | void |  | ) |

Disable the test mux 0 tri state.

Register|BitsName --------|-------- RF5 | TEST_MUX_EN

Definition at line 87 of file gr533x_ll_aon_rf.h.

## ◆ ll_aon_rf_enable_cpll_cp_reset()

__STATIC_INLINE void ll_aon_rf_enable_cpll_cp_reset | ( | void |  | ) |

Enable the cpll reset.

Register|BitsName --------|-------- RF6 | CPLL_CP_EN

Definition at line 100 of file gr533x_ll_aon_rf.h.

## ◆ ll_aon_rf_enable_cpll_drift_detection()

__STATIC_INLINE void ll_aon_rf_enable_cpll_drift_detection | ( | void |  | ) |

Enable the cpll drift detection.

Register|BitsName --------|-------- RF6 | PLL_LOCK_DET_EN

Definition at line 126 of file gr533x_ll_aon_rf.h.

## ◆ ll_aon_rf_enable_test_mux()

__STATIC_INLINE void ll_aon_rf_enable_test_mux | ( | void |  | ) |

Enable the test mux 0 tri state.

Register|BitsName --------|-------- RF5 | TEST_MUX_EN

Definition at line 74 of file gr533x_ll_aon_rf.h.

## ◆ ll_aon_rf_get_cpll_crscde()

__STATIC_INLINE uint32_t ll_aon_rf_get_cpll_crscde | ( | void |  | ) |

Get the cpll crscde.

Register|BitsName --------|-------- RF_RD_REG_0 | CPLL_CRSCDE

Return values

  cpll | crscde.

Definition at line 250 of file gr533x_ll_aon_rf.h.

## ◆ ll_aon_rf_get_rf_reg9()

__STATIC_INLINE uint32_t ll_aon_rf_get_rf_reg9 | ( | void |  | ) |

Get the RF_REG9.

Register|BitsName --------|-------- RF9 | ALL

Return values

  The | RF_REG9 value.

Definition at line 219 of file gr533x_ll_aon_rf.h.

## ◆ ll_aon_rf_set_cpll_m_div()

__STATIC_INLINE void ll_aon_rf_set_cpll_m_div | ( | uint32_t | value | ) |

Set the cpll m div,Pre division before CP (00- no division / 11 divide by 16).

Register|BitsName --------|-------- RF6 | CPLL_M_DIV_CTRL

Parameters

  value | The cpll m div value.

Definition at line 154 of file gr533x_ll_aon_rf.h.

## ◆ ll_aon_rf_set_rf_reg9()

__STATIC_INLINE void ll_aon_rf_set_rf_reg9 | ( | uint32_t | value | ) |

Set the RF_REG9.

Register|BitsName --------|-------- RF9 | ALL

Parameters

  value | The RF_REG9 value.

Definition at line 204 of file gr533x_ll_aon_rf.h.

## ◆ ll_aon_rf_set_su_enable()

__STATIC_INLINE void ll_aon_rf_set_su_enable | ( | void |  | ) |

Set SU enable.

Register|BitsName --------|-------- RF8 | SU_ENABLE

Definition at line 263 of file gr533x_ll_aon_rf.h.

## ◆ ll_aon_rf_set_threshold()

__STATIC_INLINE void ll_aon_rf_set_threshold | ( | uint32_t | l_threshold,
|  | uint32_t | h_threshold
| ) |  |

Set the cpll drift detection.

Register|BitsName --------|-------- RF7 | L_H_THRESHOLD

Parameters

  l_threshold | L Threshold.
  h_threshold | H Threshold.

Definition at line 170 of file gr533x_ll_aon_rf.h.

## ◆ ll_aon_rf_set_xo_cap()

__STATIC_INLINE void ll_aon_rf_set_xo_cap | ( | uint32_t | value | ) |

Set the xo cap value,cload programmability from 50fF to 26pF on each side.

Register|BitsName --------|-------- RF9 | XO_CAP

Parameters

  value | The xo cap value.

Definition at line 235 of file gr533x_ll_aon_rf.h.

## ◆ ll_aon_rf_set_xo_ibias()

__STATIC_INLINE void ll_aon_rf_set_xo_ibias | ( | uint32_t | hi_value,
|  | uint32_t | lo_value
| ) |  |

Set XO core current programmability.

Register|BitsName --------|-------- RF8 | XO_IBIAS_CTRL_4_0

Parameters

  hi_value | hi value
  lo_value | lo value

Return values

  None |

Definition at line 188 of file gr533x_ll_aon_rf.h.

## ◆ ll_mcu_set_cpll_drift_irq_disable()

__STATIC_INLINE void ll_mcu_set_cpll_drift_irq_disable | ( | void |  | ) |

Set cpll drift irq disable.

Register|BitsName --------|-------- CPLL_IRQ_CFG | MCU_SUB_CPLL_IRQ_CFG_DRIFT_IRQ_EN

Definition at line 289 of file gr533x_ll_aon_rf.h.

## ◆ ll_mcu_set_cpll_drift_irq_enable()

__STATIC_INLINE void ll_mcu_set_cpll_drift_irq_enable | ( | void |  | ) |

Set cpll drift irq enable.

Register|BitsName --------|-------- CPLL_IRQ_CFG | MCU_SUB_CPLL_IRQ_CFG_DRIFT_IRQ_EN

Definition at line 276 of file gr533x_ll_aon_rf.h.